//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "StandardIconCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

VWStadanrdIconCtrl::VWStadanrdIconCtrl(TControlID id)
: VWControl( id )
{
}

VWStadanrdIconCtrl::~VWStadanrdIconCtrl()
{
}

bool VWStadanrdIconCtrl::CreateControl(VWDialog* pDlg, EStandardIconType icon)
{
	::GS_CreateStandardIconControl( gCBP, pDlg->GetControlID(), fControlID, (int) icon );
	return VWControl::CreateControl( pDlg );
}
